import { CreateRequestBuilder, DeleteRequestBuilder, DeSerializers, GetAllRequestBuilder, GetByKeyRequestBuilder, ODataBatchRequestBuilder, UpdateRequestBuilder, BatchChangeSet } from '@sap-cloud-sdk/odata-v4';
import { VmsVehicleCampaign, VmsVehicleCampaignText } from './index';
/**
 * Batch builder for operations supported on the Vms Vehicle Campaign Service.
 * @param requests The requests of the batch
 * @returns A request builder for batch.
 */
export declare function batch<DeSerializersT extends DeSerializers>(...requests: Array<ReadVmsVehicleCampaignServiceRequestBuilder<DeSerializersT> | BatchChangeSet<DeSerializersT>>): ODataBatchRequestBuilder<DeSerializersT>;
export declare function batch<DeSerializersT extends DeSerializers>(requests: Array<ReadVmsVehicleCampaignServiceRequestBuilder<DeSerializersT> | BatchChangeSet<DeSerializersT>>): ODataBatchRequestBuilder<DeSerializersT>;
/**
 * Change set constructor consists of write operations supported on the Vms Vehicle Campaign Service.
 * @param requests The requests of the change set
 * @returns A change set for batch.
 */
export declare function changeset<DeSerializersT extends DeSerializers>(...requests: Array<WriteVmsVehicleCampaignServiceRequestBuilder<DeSerializersT>>): BatchChangeSet<DeSerializersT>;
export declare function changeset<DeSerializersT extends DeSerializers>(requests: Array<WriteVmsVehicleCampaignServiceRequestBuilder<DeSerializersT>>): BatchChangeSet<DeSerializersT>;
export declare const defaultVmsVehicleCampaignServicePath = "/sap/opu/odata4/sap/api_vmsvehiclecampaign/srvd_a2x/sap/vmsvehiclecampaign/0001";
export declare type ReadVmsVehicleCampaignServiceRequestBuilder<DeSerializersT extends DeSerializers> = GetAllRequestBuilder<VmsVehicleCampaign<DeSerializersT>, DeSerializersT> | GetAllRequestBuilder<VmsVehicleCampaignText<DeSerializersT>, DeSerializersT> | GetByKeyRequestBuilder<VmsVehicleCampaign<DeSerializersT>, DeSerializersT> | GetByKeyRequestBuilder<VmsVehicleCampaignText<DeSerializersT>, DeSerializersT>;
export declare type WriteVmsVehicleCampaignServiceRequestBuilder<DeSerializersT extends DeSerializers> = CreateRequestBuilder<VmsVehicleCampaign<DeSerializersT>, DeSerializersT> | UpdateRequestBuilder<VmsVehicleCampaign<DeSerializersT>, DeSerializersT> | DeleteRequestBuilder<VmsVehicleCampaign<DeSerializersT>, DeSerializersT> | CreateRequestBuilder<VmsVehicleCampaignText<DeSerializersT>, DeSerializersT> | UpdateRequestBuilder<VmsVehicleCampaignText<DeSerializersT>, DeSerializersT> | DeleteRequestBuilder<VmsVehicleCampaignText<DeSerializersT>, DeSerializersT>;
//# sourceMappingURL=BatchRequest.d.ts.map