import { DefaultDeSerializers, DeSerializers, GetAllRequestBuilder, GetByKeyRequestBuilder, CreateRequestBuilder, UpdateRequestBuilder, DeleteRequestBuilder, DeserializedType, RequestBuilder } from '@sap-cloud-sdk/odata-v4';
import { VmsVehicleCampaign } from './VmsVehicleCampaign';
/**
 * Request builder class for operations supported on the [[VmsVehicleCampaign]] entity.
 */
export declare class VmsVehicleCampaignRequestBuilder<T extends DeSerializers = DefaultDeSerializers> extends RequestBuilder<VmsVehicleCampaign<T>, T> {
    /**
     * Returns a request builder for retrieving one `VmsVehicleCampaign` entity based on its keys.
     * @param vmsVehicleSalesCampaign Key property. See [[VmsVehicleCampaign.vmsVehicleSalesCampaign]].
     * @returns A request builder for creating requests to retrieve one `VmsVehicleCampaign` entity based on its keys.
     */
    getByKey(vmsVehicleSalesCampaign: DeserializedType<T, 'Edm.String'>): GetByKeyRequestBuilder<VmsVehicleCampaign<T>, T>;
    /**
     * Returns a request builder for querying all `VmsVehicleCampaign` entities.
     * @returns A request builder for creating requests to retrieve all `VmsVehicleCampaign` entities.
     */
    getAll(): GetAllRequestBuilder<VmsVehicleCampaign<T>, T>;
    /**
     * Returns a request builder for creating a `VmsVehicleCampaign` entity.
     * @param entity The entity to be created
     * @returns A request builder for creating requests that create an entity of type `VmsVehicleCampaign`.
     */
    create(entity: VmsVehicleCampaign<T>): CreateRequestBuilder<VmsVehicleCampaign<T>, T>;
    /**
     * Returns a request builder for updating an entity of type `VmsVehicleCampaign`.
     * @param entity The entity to be updated
     * @returns A request builder for creating requests that update an entity of type `VmsVehicleCampaign`.
     */
    update(entity: VmsVehicleCampaign<T>): UpdateRequestBuilder<VmsVehicleCampaign<T>, T>;
    /**
     * Returns a request builder for deleting an entity of type `VmsVehicleCampaign`.
     * @param vmsVehicleSalesCampaign Key property. See [[VmsVehicleCampaign.vmsVehicleSalesCampaign]].
     * @returns A request builder for creating requests that delete an entity of type `VmsVehicleCampaign`.
     */
    delete(vmsVehicleSalesCampaign: string): DeleteRequestBuilder<VmsVehicleCampaign<T>, T>;
    /**
     * Returns a request builder for deleting an entity of type `VmsVehicleCampaign`.
     * @param entity Pass the entity to be deleted.
     * @returns A request builder for creating requests that delete an entity of type `VmsVehicleCampaign` by taking the entity as a parameter.
     */
    delete(entity: VmsVehicleCampaign<T>): DeleteRequestBuilder<VmsVehicleCampaign<T>, T>;
}
//# sourceMappingURL=VmsVehicleCampaignRequestBuilder.d.ts.map