"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.VmsVehicleCampaignRequestBuilder = void 0;
/*
 * Copyright (c) 2022 SAP SE or an SAP affiliate company. All rights reserved.
 *
 * This is a generated file powered by the SAP Cloud SDK for JavaScript.
 */
const odata_v4_1 = require("@sap-cloud-sdk/odata-v4");
const VmsVehicleCampaign_1 = require("./VmsVehicleCampaign");
/**
 * Request builder class for operations supported on the [[VmsVehicleCampaign]] entity.
 */
class VmsVehicleCampaignRequestBuilder extends odata_v4_1.RequestBuilder {
    /**
     * Returns a request builder for retrieving one `VmsVehicleCampaign` entity based on its keys.
     * @param vmsVehicleSalesCampaign Key property. See [[VmsVehicleCampaign.vmsVehicleSalesCampaign]].
     * @returns A request builder for creating requests to retrieve one `VmsVehicleCampaign` entity based on its keys.
     */
    getByKey(vmsVehicleSalesCampaign) {
        return new odata_v4_1.GetByKeyRequestBuilder(this.entityApi, { VMSVehicleSalesCampaign: vmsVehicleSalesCampaign });
    }
    /**
     * Returns a request builder for querying all `VmsVehicleCampaign` entities.
     * @returns A request builder for creating requests to retrieve all `VmsVehicleCampaign` entities.
     */
    getAll() {
        return new odata_v4_1.GetAllRequestBuilder(this.entityApi);
    }
    /**
     * Returns a request builder for creating a `VmsVehicleCampaign` entity.
     * @param entity The entity to be created
     * @returns A request builder for creating requests that create an entity of type `VmsVehicleCampaign`.
     */
    create(entity) {
        return new odata_v4_1.CreateRequestBuilder(this.entityApi, entity);
    }
    /**
     * Returns a request builder for updating an entity of type `VmsVehicleCampaign`.
     * @param entity The entity to be updated
     * @returns A request builder for creating requests that update an entity of type `VmsVehicleCampaign`.
     */
    update(entity) {
        return new odata_v4_1.UpdateRequestBuilder(this.entityApi, entity);
    }
    delete(vmsVehicleSalesCampaignOrEntity) {
        return new odata_v4_1.DeleteRequestBuilder(this.entityApi, vmsVehicleSalesCampaignOrEntity instanceof VmsVehicleCampaign_1.VmsVehicleCampaign ? vmsVehicleSalesCampaignOrEntity : { VMSVehicleSalesCampaign: vmsVehicleSalesCampaignOrEntity });
    }
}
exports.VmsVehicleCampaignRequestBuilder = VmsVehicleCampaignRequestBuilder;
//# sourceMappingURL=VmsVehicleCampaignRequestBuilder.js.map