import { Entity, DefaultDeSerializers, DeSerializers, DeserializedType } from '@sap-cloud-sdk/odata-v4';
/**
 * This class represents the entity "A_VMSVehicleCampaignText" of service "com.sap.gateway.srvd_a2x.api_vmsvehiclecampaign.v0001".
 */
export declare class VmsVehicleCampaignText<T extends DeSerializers = DefaultDeSerializers> extends Entity implements VmsVehicleCampaignTextType<T> {
    /**
     * Technical entity name for VmsVehicleCampaignText.
     */
    static _entityName: string;
    /**
     * Default url path for the according service.
     */
    static _defaultServicePath: string;
    /**
     * All key fields of the VmsVehicleCampaignText entity
     */
    static _keys: string[];
    /**
     * Language.
     * Maximum length: 2.
     */
    language: DeserializedType<T, 'Edm.String'>;
    /**
     * Vms Vehicle Sales Campaign.
     * Maximum length: 10.
     */
    vmsVehicleSalesCampaign: DeserializedType<T, 'Edm.String'>;
    /**
     * Vms Vehicle Sales Campaign Text.
     * Maximum length: 40.
     */
    vmsVehicleSalesCampaignText: DeserializedType<T, 'Edm.String'>;
}
export interface VmsVehicleCampaignTextType<T extends DeSerializers = DefaultDeSerializers> {
    language: DeserializedType<T, 'Edm.String'>;
    vmsVehicleSalesCampaign: DeserializedType<T, 'Edm.String'>;
    vmsVehicleSalesCampaignText: DeserializedType<T, 'Edm.String'>;
}
//# sourceMappingURL=VmsVehicleCampaignText.d.ts.map