import { VmsVehicleCampaignText } from './VmsVehicleCampaignText';
import { VmsVehicleCampaignTextRequestBuilder } from './VmsVehicleCampaignTextRequestBuilder';
import { CustomField, DefaultDeSerializers, DeSerializers, AllFields, EntityBuilderType, EntityApi, EdmTypeField } from '@sap-cloud-sdk/odata-v4';
export declare class VmsVehicleCampaignTextApi<DeSerializersT extends DeSerializers = DefaultDeSerializers> implements EntityApi<VmsVehicleCampaignText<DeSerializersT>, DeSerializersT> {
    deSerializers: DeSerializersT;
    constructor(deSerializers?: DeSerializersT);
    private navigationPropertyFields;
    _addNavigationProperties(linkedApis: [
    ]): this;
    entityConstructor: typeof VmsVehicleCampaignText;
    requestBuilder(): VmsVehicleCampaignTextRequestBuilder<DeSerializersT>;
    entityBuilder(): EntityBuilderType<VmsVehicleCampaignText<DeSerializersT>, DeSerializersT>;
    customField<NullableT extends boolean = false>(fieldName: string, isNullable?: NullableT): CustomField<VmsVehicleCampaignText<DeSerializersT>, DeSerializersT, NullableT>;
    get schema(): {
        /**
         *
         * All fields selector.
         */
        ALL_FIELDS: AllFields<VmsVehicleCampaignText<DeSerializers<any, any, any, any, any, any, any, any, any, any, any, any, any, any, any, any, any, any, any>>>;
        /**
     * Static representation of the [[language]] property for query construction.
     * Use to reference this property in query operations such as 'select' in the fluent request API.
     */
        LANGUAGE: EdmTypeField<VmsVehicleCampaignText<DeSerializers<any, any, any, any, any, any, any, any, any, any, any, any, any, any, any, any, any, any, any>>, DeSerializersT, "Edm.String", false, true>;
        /**
         * Static representation of the [[vmsVehicleSalesCampaign]] property for query construction.
         * Use to reference this property in query operations such as 'select' in the fluent request API.
         */
        VMS_VEHICLE_SALES_CAMPAIGN: EdmTypeField<VmsVehicleCampaignText<DeSerializers<any, any, any, any, any, any, any, any, any, any, any, any, any, any, any, any, any, any, any>>, DeSerializersT, "Edm.String", false, true>;
        /**
         * Static representation of the [[vmsVehicleSalesCampaignText]] property for query construction.
         * Use to reference this property in query operations such as 'select' in the fluent request API.
         */
        VMS_VEHICLE_SALES_CAMPAIGN_TEXT: EdmTypeField<VmsVehicleCampaignText<DeSerializers<any, any, any, any, any, any, any, any, any, any, any, any, any, any, any, any, any, any, any>>, DeSerializersT, "Edm.String", false, true>;
    };
}
//# sourceMappingURL=VmsVehicleCampaignTextApi.d.ts.map