import { DefaultDeSerializers, DeSerializers, GetAllRequestBuilder, GetByKeyRequestBuilder, CreateRequestBuilder, UpdateRequestBuilder, DeleteRequestBuilder, DeserializedType, RequestBuilder } from '@sap-cloud-sdk/odata-v4';
import { VmsVehicleCampaignText } from './VmsVehicleCampaignText';
/**
 * Request builder class for operations supported on the [[VmsVehicleCampaignText]] entity.
 */
export declare class VmsVehicleCampaignTextRequestBuilder<T extends DeSerializers = DefaultDeSerializers> extends RequestBuilder<VmsVehicleCampaignText<T>, T> {
    /**
     * Returns a request builder for retrieving one `VmsVehicleCampaignText` entity based on its keys.
     * @param language Key property. See [[VmsVehicleCampaignText.language]].
     * @param vmsVehicleSalesCampaign Key property. See [[VmsVehicleCampaignText.vmsVehicleSalesCampaign]].
     * @returns A request builder for creating requests to retrieve one `VmsVehicleCampaignText` entity based on its keys.
     */
    getByKey(language: DeserializedType<T, 'Edm.String'>, vmsVehicleSalesCampaign: DeserializedType<T, 'Edm.String'>): GetByKeyRequestBuilder<VmsVehicleCampaignText<T>, T>;
    /**
     * Returns a request builder for querying all `VmsVehicleCampaignText` entities.
     * @returns A request builder for creating requests to retrieve all `VmsVehicleCampaignText` entities.
     */
    getAll(): GetAllRequestBuilder<VmsVehicleCampaignText<T>, T>;
    /**
     * Returns a request builder for creating a `VmsVehicleCampaignText` entity.
     * @param entity The entity to be created
     * @returns A request builder for creating requests that create an entity of type `VmsVehicleCampaignText`.
     */
    create(entity: VmsVehicleCampaignText<T>): CreateRequestBuilder<VmsVehicleCampaignText<T>, T>;
    /**
     * Returns a request builder for updating an entity of type `VmsVehicleCampaignText`.
     * @param entity The entity to be updated
     * @returns A request builder for creating requests that update an entity of type `VmsVehicleCampaignText`.
     */
    update(entity: VmsVehicleCampaignText<T>): UpdateRequestBuilder<VmsVehicleCampaignText<T>, T>;
    /**
     * Returns a request builder for deleting an entity of type `VmsVehicleCampaignText`.
     * @param language Key property. See [[VmsVehicleCampaignText.language]].
     * @param vmsVehicleSalesCampaign Key property. See [[VmsVehicleCampaignText.vmsVehicleSalesCampaign]].
     * @returns A request builder for creating requests that delete an entity of type `VmsVehicleCampaignText`.
     */
    delete(language: string, vmsVehicleSalesCampaign: string): DeleteRequestBuilder<VmsVehicleCampaignText<T>, T>;
    /**
     * Returns a request builder for deleting an entity of type `VmsVehicleCampaignText`.
     * @param entity Pass the entity to be deleted.
     * @returns A request builder for creating requests that delete an entity of type `VmsVehicleCampaignText` by taking the entity as a parameter.
     */
    delete(entity: VmsVehicleCampaignText<T>): DeleteRequestBuilder<VmsVehicleCampaignText<T>, T>;
}
//# sourceMappingURL=VmsVehicleCampaignTextRequestBuilder.d.ts.map