"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.VmsVehicleCampaignTextRequestBuilder = void 0;
/*
 * Copyright (c) 2022 SAP SE or an SAP affiliate company. All rights reserved.
 *
 * This is a generated file powered by the SAP Cloud SDK for JavaScript.
 */
const odata_v4_1 = require("@sap-cloud-sdk/odata-v4");
const VmsVehicleCampaignText_1 = require("./VmsVehicleCampaignText");
/**
 * Request builder class for operations supported on the [[VmsVehicleCampaignText]] entity.
 */
class VmsVehicleCampaignTextRequestBuilder extends odata_v4_1.RequestBuilder {
    /**
     * Returns a request builder for retrieving one `VmsVehicleCampaignText` entity based on its keys.
     * @param language Key property. See [[VmsVehicleCampaignText.language]].
     * @param vmsVehicleSalesCampaign Key property. See [[VmsVehicleCampaignText.vmsVehicleSalesCampaign]].
     * @returns A request builder for creating requests to retrieve one `VmsVehicleCampaignText` entity based on its keys.
     */
    getByKey(language, vmsVehicleSalesCampaign) {
        return new odata_v4_1.GetByKeyRequestBuilder(this.entityApi, {
            Language: language,
            VMSVehicleSalesCampaign: vmsVehicleSalesCampaign
        });
    }
    /**
     * Returns a request builder for querying all `VmsVehicleCampaignText` entities.
     * @returns A request builder for creating requests to retrieve all `VmsVehicleCampaignText` entities.
     */
    getAll() {
        return new odata_v4_1.GetAllRequestBuilder(this.entityApi);
    }
    /**
     * Returns a request builder for creating a `VmsVehicleCampaignText` entity.
     * @param entity The entity to be created
     * @returns A request builder for creating requests that create an entity of type `VmsVehicleCampaignText`.
     */
    create(entity) {
        return new odata_v4_1.CreateRequestBuilder(this.entityApi, entity);
    }
    /**
     * Returns a request builder for updating an entity of type `VmsVehicleCampaignText`.
     * @param entity The entity to be updated
     * @returns A request builder for creating requests that update an entity of type `VmsVehicleCampaignText`.
     */
    update(entity) {
        return new odata_v4_1.UpdateRequestBuilder(this.entityApi, entity);
    }
    delete(languageOrEntity, vmsVehicleSalesCampaign) {
        return new odata_v4_1.DeleteRequestBuilder(this.entityApi, languageOrEntity instanceof VmsVehicleCampaignText_1.VmsVehicleCampaignText ? languageOrEntity : {
            Language: languageOrEntity,
            VMSVehicleSalesCampaign: vmsVehicleSalesCampaign
        });
    }
}
exports.VmsVehicleCampaignTextRequestBuilder = VmsVehicleCampaignTextRequestBuilder;
//# sourceMappingURL=VmsVehicleCampaignTextRequestBuilder.js.map