import { VmsVehicleCampaignApi } from './VmsVehicleCampaignApi';
import { VmsVehicleCampaignTextApi } from './VmsVehicleCampaignTextApi';
import { BigNumber } from 'bignumber.js';
import { Moment, Duration } from 'moment';
import { DeSerializers, DefaultDeSerializers, Time } from '@sap-cloud-sdk/odata-v4';
import { batch, changeset } from './BatchRequest';
export declare function vmsVehicleCampaignService<BinaryT = string, BooleanT = boolean, ByteT = number, DecimalT = BigNumber, DoubleT = number, FloatT = number, Int16T = number, Int32T = number, Int64T = BigNumber, GuidT = string, SByteT = number, SingleT = number, StringT = string, AnyT = any, DateTimeOffsetT = Moment, DateT = Moment, DurationT = Duration, TimeOfDayT = Time>(deSerializers?: Partial<DeSerializers<BinaryT, BooleanT, ByteT, DecimalT, DoubleT, FloatT, Int16T, Int32T, Int64T, GuidT, SByteT, SingleT, StringT, AnyT, DateTimeOffsetT, DateT, DurationT, TimeOfDayT>>): VmsVehicleCampaignService<DeSerializers<BinaryT, BooleanT, ByteT, DecimalT, DoubleT, FloatT, Int16T, Int32T, Int64T, GuidT, SByteT, SingleT, StringT, AnyT, DateTimeOffsetT, DateT, DurationT, TimeOfDayT>>;
export declare class VmsVehicleCampaignService<DeSerializersT extends DeSerializers = DefaultDeSerializers> {
    private apis;
    private deSerializers;
    constructor(deSerializers: DeSerializersT);
    private initApi;
    get vmsVehicleCampaignApi(): VmsVehicleCampaignApi<DeSerializersT>;
    get vmsVehicleCampaignTextApi(): VmsVehicleCampaignTextApi<DeSerializersT>;
    get batch(): typeof batch;
    get changeset(): typeof changeset;
}
//# sourceMappingURL=service.d.ts.map